package org.jvnet.hifaces.components.templatedpanel.impl;

import javax.faces.context.FacesContext;

public class DefaultTemplateNameResolverFactory implements
		TemplateNameResolverFactory {

	private TemplateNameResolver templateNameResolver;

	public TemplateNameResolver getTemplateNameResolver(FacesContext context) {
		if (templateNameResolver == null) {
			templateNameResolver = new URLTemplateNameResolver();
		}
		return templateNameResolver;
	}

	public static final TemplateNameResolverFactory INSTANCE = new DefaultTemplateNameResolverFactory();

}
