package org.jvnet.hifaces.components.templatedpanel.spring;

import javax.faces.context.FacesContext;

import org.jvnet.hifaces.components.templatedpanel.TemplateProvider;
import org.jvnet.hifaces.components.templatedpanel.TemplateProviderFactory;
import org.springframework.beans.factory.BeanFactoryUtils;
import org.springframework.web.context.WebApplicationContext;
import org.springframework.web.jsf.FacesContextUtils;

public class SpringTemplateProviderFactory implements TemplateProviderFactory {

	public TemplateProvider getTemplateProvider(FacesContext context) {

		final WebApplicationContext requiredWebApplicationContext = FacesContextUtils
				.getRequiredWebApplicationContext(context);

		final TemplateProvider templateProvider = (TemplateProvider) BeanFactoryUtils
				.beanOfType(requiredWebApplicationContext,
						TemplateProvider.class);
		return templateProvider;
	}
}
