package org.jvnet.hifaces.util;

import javax.faces.component.html.HtmlMessage;

public class MessageUtils {

	private MessageUtils() {
	}

	/**
	 * Creates a message component for the given client id.
	 * 
	 * @param forId
	 *            target client id.
	 * @return Message component.
	 */
	public static HtmlMessage createMessage(String forId) {
		final HtmlMessage message = new HtmlMessage();
		IdUtils.assignId(message);
		message.setFor(forId);
		return message;
	}

}
